The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Вопрос по 'устаревшим' релизам."
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Открытые системы на сервере (Public)
Изначальное сообщение [ Отслеживать ]

"Вопрос по 'устаревшим' релизам."  +/
Сообщение от rabotnik (??) on 25-Янв-10, 11:02 
Здравствуйте!
Вопрос мой довольно наивный и, в общем, имеет очевидное решение. Однако из-за ряда ограничений очевидное решение не подходит. Мне нужно установить squid на FreeBSD 6.3 без использования системы портов. Самый старый squid, какой я нашёл - 2.7 уже не ставится на шестёрку.
Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от djaarf (??) on 25-Янв-10, 11:20 
Вопрос в студию ;)

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

3. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от parad (??) on 25-Янв-10, 11:22 
>Вопрос в студию ;)

) ну или так.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

2. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от parad (??) on 25-Янв-10, 11:21 
что имененно не ставится - приведите ошибку компиляции?
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

5. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от rabotnik (??) on 25-Янв-10, 11:38 
>что имененно не ставится - приведите ошибку компиляции?

squid-2.7, поставленный из пакета, говорит, что "libcrypt.so.4" not found, required by squid"

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

8. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от dz email(ok) on 25-Янв-10, 11:49 
>>что имененно не ставится - приведите ошибку компиляции?
>
>squid-2.7, поставленный из пакета, говорит, что "libcrypt.so.4" not found, required by squid"
>

ftp://ftp-archive.freebsd.org/pub/FreeBSD-Archive/

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

10. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от re on 25-Янв-10, 12:10 
>>что имененно не ставится - приведите ошибку компиляции?
>
>squid-2.7, поставленный из пакета, говорит, что "libcrypt.so.4" not found, required by squid"
>

создать симлинк по имени "libcrypt.so.4" на уже установленный libcrypt.so?

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

11. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от lavr email on 25-Янв-10, 12:13 
>>>что имененно не ставится - приведите ошибку компиляции?
>>
>>squid-2.7, поставленный из пакета, говорит, что "libcrypt.so.4" not found, required by squid"
>>
>
>создать симлинк по имени "libcrypt.so.4" на уже установленный libcrypt.so?

нехорошее "решение" (не решение)


Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

4. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от rabotnik (??) on 25-Янв-10, 11:35 
>Здравствуйте!
>Вопрос мой довольно наивный и, в общем, имеет очевидное решение. Однако из-за
>ряда ограничений очевидное решение не подходит. Мне нужно установить squid на
>FreeBSD 6.3 без использования системы портов. Самый старый squid, какой я
>нашёл - 2.7 уже не ставится на шестёрку.

Я тут пошарил вокруг и если всё правильно понял, то пакет не работает потому, что скомпилирован под текущий релиз - стало быть восьмерку.

А при попытке собрать из исходников он требует свежий перл (кажись, perl-5.8.9_3), который тоже ругается (на отсутствие libm.so.5, по-моему). Я плохо сейчас помню, а машина та не рядом.

Извините за сумбур :-)

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

6. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от parad (??) on 25-Янв-10, 11:41 
- в начале вы писали о желании собрать все руками - теперь говорите что не получилось поставить пакет?

- поставте все из портов.

- libm - входит в комплект базовой поставки. если он действительно ругается что у вас его нет - значит где-то косяк зарыт.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

9. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от lavr email on 25-Янв-10, 11:56 
>- в начале вы писали о желании собрать все руками - теперь
>говорите что не получилось поставить пакет?
>
>- поставте все из портов.
>
>- libm - входит в комплект базовой поставки. если он действительно ругается
>что у вас его нет - значит где-то косяк зарыт.

косяк в том что пакеты взяты НЕ ДЛЯ СВОЕЙ СИСТЕМЫ, если хотите из пакетов для 6.4-RELEASE,
то и берите их из пакетов для 6.4.
Если хотите более свежие версии - собирайте самостоятельно из портов, ну или воспользуйтесь
portupgrade

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

12. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от lavr email on 25-Янв-10, 12:15 
>[оверквотинг удален]
>>говорите что не получилось поставить пакет?
>>
>>- поставте все из портов.
>>
>>- libm - входит в комплект базовой поставки. если он действительно ругается
>>что у вас его нет - значит где-то косяк зарыт.
>
>косяк в том что пакеты взяты НЕ ДЛЯ СВОЕЙ СИСТЕМЫ, если хотите
>из пакетов для 6.4-RELEASE,
>то и берите их из пакетов для 6.4.

в смысле, если 6.3-RELEASE, то из пакетов для него!

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

7. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от reader (ok) on 25-Янв-10, 11:42 
даже 2.4 есть
http://www.squid-cache.org/Versions/
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

13. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от rabotnik (??) on 25-Янв-10, 15:11 
>ftp://ftp-archive.freebsd.org/pub/FreeBSD-Archive/
>http://www.squid-cache.org/Versions/

Большое спасибо! Эти ссылки, конечно, решают проблему.

Скажите, а посредством системы портов получится поставить современный порт (тот же squid, например) на совсем старый релиз. Четвертый, к примеру?

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

14. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от QuAzI (??) on 25-Янв-10, 15:45 
При определённой обработке напильником наверное да, но в вашем случае это будет слишком сложно.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

15. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от lavr email on 25-Янв-10, 16:07 
>>ftp://ftp-archive.freebsd.org/pub/FreeBSD-Archive/
>>http://www.squid-cache.org/Versions/
>
>Большое спасибо! Эти ссылки, конечно, решают проблему.
>
>Скажите, а посредством системы портов получится поставить современный порт (тот же squid,
>например) на совсем старый релиз. Четвертый, к примеру?

получится, но рано или поздно придется обновлять ваш релиз до более свежего.

Четвертый СКВИД? Такой есть в природе?

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

16. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от Diogene the Open Source programmer on 25-Янв-10, 18:52 
>>Скажите, а посредством системы портов получится поставить современный порт (тот же squid,
>>например) на совсем старый релиз. Четвертый, к примеру?
>получится, но рано или поздно придется обновлять ваш релиз до более свежего.

Я только в этом году слез с 4.10 для одного софта поставляемого внутри синих ящичков ... Поверь мне - ну его в баню! Лучше париться с деглюкингом новых релизов но вместе со всеми, чем в одиночку героически напяливать новые трусы на старые джинсы :)

Теперь ящички красные и софт внутри на 7.2 и следующий будет на 8-ре - просто тащусь что любая фигня прикручивается банальным make config\make install clean :)

>Четвертый СКВИД? Такой есть в природе?

четвёртый фрях наверное :)


Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

18. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от rabotnik (??) on 26-Янв-10, 05:11 
>Я только в этом году слез с 4.10 для одного софта поставляемого
>внутри синих ящичков ... Поверь мне - ну его в баню!
>Лучше париться с деглюкингом новых релизов но вместе со всеми, чем
>в одиночку героически напяливать новые трусы на старые джинсы :)
>
>Теперь ящички красные и софт внутри на 7.2 и следующий будет на
>8-ре - просто тащусь что любая фигня прикручивается банальным make config\make
>install clean :)

;-)


Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

17. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от lavr email on 25-Янв-10, 21:21 
>>ftp://ftp-archive.freebsd.org/pub/FreeBSD-Archive/
>>http://www.squid-cache.org/Versions/
>
>Большое спасибо! Эти ссылки, конечно, решают проблему.
>
>Скажите, а посредством системы портов получится поставить современный порт (тот же squid,
>например) на совсем старый релиз. Четвертый, к примеру?

возможно с хорошим напильником и без тредов, супер много геморроя со свежим софтом
и свежими портами

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

19. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от rabotnik (??) on 26-Янв-10, 05:12 
Спасибо всем!


Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

20. "Вопрос по 'устаревшим' релизам."  +/
Сообщение от пупкен email on 26-Янв-10, 06:33 
>Здравствуйте!
>Вопрос мой довольно наивный и, в общем, имеет очевидное решение. Однако из-за
>ряда ограничений очевидное решение не подходит. Мне нужно установить squid на
>FreeBSD 6.3 без использования системы портов. Самый старый squid, какой я
>нашёл - 2.7 уже не ставится на шестёрку.

ппц - цирк.
поставьте из портов компаты и не мучайтесь.
так же можно обновить порты.
ну и make world никто не отменял.
не знаю как у кого но я такие маньячные действия делаю на удаленных машинах.
все все есчо живы.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру